Bug 59208 - [PERSONAS] Artifacts left when personas run out of content
Summary: [PERSONAS] Artifacts left when personas run out of content
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Jan Holesovsky
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-10 18:35 UTC by Olivier Hallot
Modified: 2013-11-14 14:49 UTC (History)
0 users

See Also:


Attachments
Image shows PERSONAS ui issue (630.10 KB, image/png)
2013-01-10 18:35 UTC, Olivier Hallot
Details
Image shows PERSONAS ui issue (630.10 KB, image/png)
2013-01-10 18:39 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2013-01-10 18:35:49 UTC
Created attachment 72795 [details]
Image shows PERSONAS ui issue

Stressing the personas feature, if we increase the number of toolbars in the top of the screen, then the background is undefined. See attached image: The last toolbar from the top get random background (actually my desktop background)
Comment 1 Olivier Hallot 2013-01-10 18:39:11 UTC
Created attachment 72796 [details]
Image shows PERSONAS ui issue
Comment 2 Jan Holesovsky 2013-01-10 19:11:52 UTC
Yes, it's a bug.
Comment 3 Jan Holesovsky 2013-01-17 16:13:09 UTC
Fixed in master, asked for a cherry-pick.
Comment 4 Not Assigned 2013-01-17 16:16:31 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8ea31264f25ef789b66fc9c988f695342eb2f7a

Personas: Fix fdo#59208 - get rid of artifacts when we run out of bitmap.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2013-01-17 16:48:33 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b951f2f22940356db382704cc513b2b6d42b26d2&h=libreoffice-4-0

Personas: Fix fdo#59208 - get rid of artifacts when we run out of bitmap.


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.